# Organization $organization-create

`POST /Organization/$organization-create`

This resource defines a group of individuals or clinicians that form an organization of some kind. An organization record may consist of multiple organizations, like an umbrella healthcare organization with multiple physical locations. 

You can review, retrieve, create, update, or delete organization records. The create and update options are available for organizations within the Carequality Interoperability Network as well.

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### $organization-create

Create a new organization, including its location and order for its services, in your connection’s system.

## Request body

Bundle sent as part of an OrganizationCreate message

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: Bundle |
| `type` | string | Yes | Identifies this bundle as a message. Value: message |
| `entry` | Array of messageHeader or organization or location or serviceRequest or Other | Yes | An entry in the bundle containing a FHIR resource |
| `entry[] (messageHeader).resource` | object | Yes | Additional metadata about the message including the event |
| `entry[] (messageHeader).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: MessageHeader |
| `entry[] (messageHeader).resource.source` | object | Yes | Information about the sender of the message and the Bundle content. |
| `entry[] (messageHeader).resource.source.endpoint` | string | Yes | Identifies the routing target to send acknowledgements to. |
| `entry[] (messageHeader).resource.source.name` | string | No | Human-readable name for the source system. |
| `entry[] (messageHeader).resource.focus` | Array of object | Yes | This describes the focal target resource of the message from which the remainder of the content is referenced from Must be a resource of type `Organization`. |
| `entry[] (messageHeader).resource.focus[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (messageHeader).resource.eventUri` | string | Yes | This describes the message being communicated. Value: https://fhir.redoxengine.com/EventDefinition/OrganizationCreate |
| `entry[] (organization).resource` | object | Yes | The Organization |
| `entry[] (organization).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: Organization |
| `entry[] (organization).resource.identifier` | Array of NPI or Other | Yes | Identifier for the organization that is used to identify the organization across multiple disparate systems. |
| `entry[] (organization).resource.identifier[] (NPI).system` | string | Yes | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. Value: http://hl7.org/fhir/sid/us-npi |
| `entry[] (organization).resource.identifier[] (NPI).extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (organization).resource.identifier[] (NPI).extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (organization).resource.identifier[] (NPI).extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (organization).resource.identifier[] (NPI).extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (organization).resource.identifier[] (NPI).extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (organization).resource.identifier[] (NPI).extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (organization).resource.identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (organization).resource.identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (organization).resource.identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (organization).resource.identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (organization).resource.identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (organization).resource.identifier[] (NPI).extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (organization).resource.identifier[] (NPI).extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (organization).resource.identifier[] (NPI).extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (organization).resource.identifier[] (NPI).extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (organization).resource.identifier[] (NPI).extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (organization).resource.identifier[] (NPI).extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (organization).resource.identifier[] (NPI).extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (organization).resource.identifier[] (NPI).extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (organization).resource.identifier[] (NPI).extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (organization).resource.identifier[] (NPI).extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (organization).resource.identifier[] (NPI).extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (organization).resource.identifier[] (NPI).extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (organization).resource.identifier[] (NPI).use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (organization).resource.identifier[] (NPI).value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (organization).resource.identifier[] (Other).extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (organization).resource.identifier[] (Other).extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (organization).resource.identifier[] (Other).extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (organization).resource.identifier[] (Other).extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (organization).resource.identifier[] (Other).extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (organization).resource.identifier[] (Other).extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (organization).resource.identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (organization).resource.identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (organization).resource.identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (organization).resource.identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (organization).resource.identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (organization).resource.identifier[] (Other).extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (organization).resource.identifier[] (Other).extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (organization).resource.identifier[] (Other).extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (organization).resource.identifier[] (Other).extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (organization).resource.identifier[] (Other).extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (organization).resource.identifier[] (Other).extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (organization).resource.identifier[] (Other).extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (organization).resource.identifier[] (Other).extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (organization).resource.identifier[] (Other).extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (organization).resource.identifier[] (Other).extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (organization).resource.identifier[] (Other).extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (organization).resource.identifier[] (Other).extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (organization).resource.identifier[] (Other).use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (organization).resource.identifier[] (Other).system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (organization).resource.identifier[] (Other).value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (organization).resource.active` | boolean | Yes | Whether the organization's record is still in active use. |
| `entry[] (organization).resource.name` | string | Yes | A name associated with the organization. |
| `entry[] (organization).resource.id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `entry[] (organization).resource.type` | Array of object | No | The kind(s) of organization that this is. |
| `entry[] (organization).resource.type[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (organization).resource.type[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (organization).resource.type[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (organization).resource.type[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (organization).resource.telecom` | Array of object | No | A contact detail for the organization. |
| `entry[] (organization).resource.telecom[].system` | string | No | Telecommunications form for contact point - what communications system is required to make use of the contact. Possible values: phone, fax, email, pager, url, sms, other |
| `entry[] (organization).resource.telecom[].value` | string | No | The actual contact point details, in a form that is meaningful to the designated communication system (i.e. phone number or email address). |
| `entry[] (organization).resource.telecom[].use` | string | No | Identifies the purpose for the contact point. Possible values: home, work, temp, old, mobile |
| `entry[] (organization).resource.address` | Array of object | No | An address for the organization. |
| `entry[] (organization).resource.address[].line` | Array of string | No | This component contains the house number, apartment number, street name, street direction,  P.O. Box number, delivery hints, and similar address information. |
| `entry[] (organization).resource.address[].city` | string | No | The name of the city, town, suburb, village or other community or delivery center. |
| `entry[] (organization).resource.address[].state` | string | No | Sub-unit of a country with limited sovereignty in a federally organized country. A code may be used if codes are in common use (e.g. US 2 letter state codes). |
| `entry[] (organization).resource.address[].postalCode` | string | No | A postal code designating a region defined by the postal service. |
| `entry[] (organization).resource.address[].country` | string | No | Country - a nation as commonly understood or generally accepted. |
| `entry[] (organization).resource.address[].use` | string | No | The purpose of this address. Possible values: home, work, temp, old, billing |
| `entry[] (organization).resource.address[].district` | string | No | The name of the administrative area (county). |
| `entry[] (organization).resource.partOf` | object | No | The organization of which this organization forms a part. Must be a resource of type `Organization`. |
| `entry[] (organization).resource.partOf.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (organization).resource.contact` | Array of object | No | Contact for the organization for a certain purpose. |
| `entry[] (organization).resource.contact[].purpose` | object | No | Indicates a purpose for which the contact can be reached. |
| `entry[] (organization).resource.contact[].purpose.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (organization).resource.contact[].purpose.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (organization).resource.contact[].purpose.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (organization).resource.contact[].purpose.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (organization).resource.contact[].name` | object | No | A name associated with the contact. |
| `entry[] (organization).resource.contact[].name.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (organization).resource.contact[].name.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (organization).resource.contact[].name.given` | Array of string | No | Given name. |
| `entry[] (organization).resource.contact[].telecom` | Array of object | No | A contact detail (e.g. a telephone number or an email address) by which the party may be contacted. |
| `entry[] (organization).resource.contact[].telecom[].system` | string | No | Telecommunications form for contact point - what communications system is required to make use of the contact. Possible values: phone, fax, email, pager, url, sms, other |
| `entry[] (organization).resource.contact[].telecom[].value` | string | No | The actual contact point details, in a form that is meaningful to the designated communication system (i.e. phone number or email address). |
| `entry[] (organization).resource.contact[].telecom[].use` | string | No | Identifies the purpose for the contact point. Possible values: home, work, temp, old, mobile |
| `entry[] (location).resource` | object | Yes | The Location of the Organization |
| `entry[] (location).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: Location |
| `entry[] (location).resource.managingOrganization` | object | Yes | The Organization this Location belongs to Must be a resource of type `Organization`. |
| `entry[] (location).resource.managingOrganization.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (location).resource.status` | string | No | The status property covers the general availability of the resource, not the current value which may be covered by the operationStatus, or by a schedule/slots if they are configured for the location. Possible values: active, suspended, inactive |
| `entry[] (location).resource.name` | string | No | Name of the location as used by humans. Does not need to be unique. |
| `entry[] (location).resource.type` | Array of object | No | Indicates the type of function performed at the location. |
| `entry[] (location).resource.type[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (location).resource.telecom` | Array of object | No | The contact details of communication devices available at the location. This can include phone numbers, fax numbers, mobile numbers, email addresses and web sites. |
| `entry[] (location).resource.telecom[].system` | string | No | Telecommunications form for contact point - what communications system is required to make use of the contact. Possible values: phone, fax, email, pager, url, sms, other |
| `entry[] (location).resource.telecom[].value` | string | No | The actual contact point details, in a form that is meaningful to the designated communication system (i.e. phone number or email address). |
| `entry[] (location).resource.telecom[].use` | string | No | Identifies the purpose for the contact point. Possible values: home, work, temp, old, mobile |
| `entry[] (location).resource.address` | object | No | Physical location. |
| `entry[] (location).resource.address.use` | string | No | The purpose of this address. Possible values: home, work, temp, old, billing |
| `entry[] (location).resource.address.line` | Array of string | No | This component contains the house number, apartment number, street name, street direction,  P.O. Box number, delivery hints, and similar address information. |
| `entry[] (location).resource.address.city` | string | No | The name of the city, town, suburb, village or other community or delivery center. |
| `entry[] (location).resource.address.district` | string | No | The name of the administrative area (county). |
| `entry[] (location).resource.address.state` | string | No | Sub-unit of a country with limited sovereignty in a federally organized country. A code may be used if codes are in common use (e.g. US 2 letter state codes). |
| `entry[] (location).resource.address.postalCode` | string | No | A postal code designating a region defined by the postal service. |
| `entry[] (location).resource.address.country` | string | No | Country - a nation as commonly understood or generally accepted. |
| `entry[] (location).resource.physicalType` | object | No | Physical form of the location, e.g. building, room, vehicle, road. |
| `entry[] (location).resource.physicalType.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (location).resource.physicalType.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (location).resource.physicalType.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (location).resource.physicalType.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (location).resource.partOf` | object | No | Another Location of which this Location is physically a part of. Must be a resource of type `Location`. |
| `entry[] (location).resource.partOf.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (serviceRequest).resource` | object | Yes | The order for services placed on behalf of the Organization |
| `entry[] (serviceRequest).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: ServiceRequest |
| `entry[] (serviceRequest).resource.status` | string | Yes | The status of the order. Possible values: draft, active, on-hold, revoked, completed, entered-in-error, unknown |
| `entry[] (serviceRequest).resource.intent` | string | Yes | Whether the request is a proposal, plan, an original order or a reflex order. Possible values: proposal, plan, directive, order, original-order, reflex-order, filler-order, instance-order, option |
| `entry[] (serviceRequest).resource.subject` | object | Yes | The Location the order is placed for Must be a resource of type `Location`. |
| `entry[] (serviceRequest).resource.subject.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (serviceRequest).resource.identifier` | Array of object | No | Identifiers assigned to this order instance by the orderer and/or the receiver and/or order fulfiller. |
| `entry[] (serviceRequest).resource.identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (serviceRequest).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (serviceRequest).resource.identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (serviceRequest).resource.identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (serviceRequest).resource.identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (serviceRequest).resource.identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (serviceRequest).resource.identifier[].value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (serviceRequest).resource.code` | object | No | A code that identifies a particular service (i.e., procedure, diagnostic investigation, or panel of investigations) that have been requested. |
| `entry[] (serviceRequest).resource.code.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (serviceRequest).resource.code.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (serviceRequest).resource.code.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (serviceRequest).resource.code.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (serviceRequest).resource.orderDetail` | Array of object | No | The services or features included in the order |
| `entry[] (serviceRequest).resource.orderDetail[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (serviceRequest).resource.orderDetail[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (serviceRequest).resource.orderDetail[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (serviceRequest).resource.orderDetail[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (serviceRequest).resource.authoredOn` | string | No | When the request transitioned to being actionable. |
| `entry[] (serviceRequest).resource.requester` | object | No | The individual who initiated the request and has responsibility for its activation. Must reference one of the following types of resources: - `Practitioner` - `PractitionerRole` - `Organization` - `Patient` - `RelatedPerson` - `Device` |
| `entry[] (serviceRequest).resource.requester.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (serviceRequest).resource.quantityQuantity` | object | No | The billing quantity for the order, such as the number of providers |
| `entry[] (serviceRequest).resource.quantityQuantity.id` | string | No | A sequence of Unicode characters |
| `entry[] (serviceRequest).resource.quantityQuantity.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (serviceRequest).resource.quantityQuantity.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (serviceRequest).resource.quantityQuantity.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (serviceRequest).resource.quantityQuantity.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (serviceRequest).resource.quantityQuantity.value` | number | No | A rational number with implicit precision |
| `entry[] (serviceRequest).resource.quantityQuantity._value` | object | No | Base definition for all elements in a resource. |
| `entry[] (serviceRequest).resource.quantityQuantity._value.id` | string | No | A sequence of Unicode characters |
| `entry[] (serviceRequest).resource.quantityQuantity._value.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (serviceRequest).resource.quantityQuantity._value.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (serviceRequest).resource.quantityQuantity._value.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (serviceRequest).resource.quantityQuantity._value.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (serviceRequest).resource.quantityQuantity.comparator` | any | No | How the value should be understood and represented - whether the actual value is greater or less than the stated value due to measurement issues; e.g. if the comparator is "<" , then the real value is < stated value. Possible values: <, <=, >=, > |
| `entry[] (serviceRequest).resource.quantityQuantity._comparator` | object | No | Base definition for all elements in a resource. |
| `entry[] (serviceRequest).resource.quantityQuantity._comparator.id` | string | No | A sequence of Unicode characters |
| `entry[] (serviceRequest).resource.quantityQuantity._comparator.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (serviceRequest).resource.quantityQuantity._comparator.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (serviceRequest).resource.quantityQuantity._comparator.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (serviceRequest).resource.quantityQuantity._comparator.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (serviceRequest).resource.quantityQuantity.unit` | string | No | A sequence of Unicode characters |
| `entry[] (serviceRequest).resource.quantityQuantity._unit` | object | No | Base definition for all elements in a resource. |
| `entry[] (serviceRequest).resource.quantityQuantity._unit.id` | string | No | A sequence of Unicode characters |
| `entry[] (serviceRequest).resource.quantityQuantity._unit.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (serviceRequest).resource.quantityQuantity._unit.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (serviceRequest).resource.quantityQuantity._unit.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (serviceRequest).resource.quantityQuantity._unit.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (serviceRequest).resource.quantityQuantity.system` | string | No | String of characters used to identify a name or a resource |
| `entry[] (serviceRequest).resource.quantityQuantity._system` | object | No | Base definition for all elements in a resource. |
| `entry[] (serviceRequest).resource.quantityQuantity._system.id` | string | No | A sequence of Unicode characters |
| `entry[] (serviceRequest).resource.quantityQuantity._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (serviceRequest).resource.quantityQuantity._system.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (serviceRequest).resource.quantityQuantity._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (serviceRequest).resource.quantityQuantity._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (serviceRequest).resource.quantityQuantity.code` | string | No | A string which has at least one character and no leading or trailing whitespace and where there is no whitespace other than single spaces in the contents |
| `entry[] (serviceRequest).resource.quantityQuantity._code` | object | No | Base definition for all elements in a resource. |
| `entry[] (serviceRequest).resource.quantityQuantity._code.id` | string | No | A sequence of Unicode characters |
| `entry[] (serviceRequest).resource.quantityQuantity._code.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (serviceRequest).resource.quantityQuantity._code.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (serviceRequest).resource.quantityQuantity._code.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (serviceRequest).resource.quantityQuantity._code.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Other)` | object | No |  |
| `timestamp` | string | No | The date/time that the bundle was assembled - i.e. when the resources were placed in the bundle. |

## Request example

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/Organization/$organization-create' \
--request POST \
--header 'Authorization: Bearer $API_TOKEN' \
--header 'Content-Type: application/fhir+json' \
--data '{
  "resourceType": "Bundle",
  "id": "RedoxOrganizationCreateBundleExample",
  "type": "message",
  "entry": [
    {
      "resource": {
        "eventUri": "https://fhir.redoxengine.com/EventDefinition/OrganizationCreate",
        "resourceType": "MessageHeader",
        "id": "f4070865-2ac1-517c-a76e-839b02b6ad43",
        "source": {
          "name": "Good Health Clinics",
          "endpoint": "urn:uuid:05107c08-fe2f-4740-8c1d-c7107d18ebe5"
        },
        "focus": [
          {
            "reference": "urn:uuid:2756cd03-02d2-522a-89f9-54276691896f"
          }
        ]
      },
      "fullUrl": "urn:uuid:f4070865-2ac1-517c-a76e-839b02b6ad43"
    },
    {
      "fullUrl": "urn:uuid:2756cd03-02d2-522a-89f9-54276691896f",
      "resource": {
        "resourceType": "Organization",
        "id": "2756cd03-02d2-522a-89f9-54276691896f",
        "identifier": [
          {
            "system": "http://hl7.org/fhir/sid/us-npi",
            "value": "1234567893"
          }
        ],
        "active": true,
        "type": [
          {
            "coding": [
              {
                "code": "prov",
                "system": "http://terminology.hl7.org/CodeSystem/organization-type",
                "display": "Healthcare Provider"
              }
            ]
          },
          {
            "coding": [
              {
                "code": "225100000X",
                "system": "http://nucc.org/provider-taxonomy",
                "display": "Physical Therapist"
              }
            ]
          }
        ],
        "name": "Redox Example Clinic",
        "telecom": [
          {
            "system": "phone",
            "value": "608-555-1234",
            "use": "work"
          },
          {
            "system": "fax",
            "value": "608-555-1235",
            "use": "work"
          }
        ],
        "contact": [
          {
            "purpose": {
              "coding": [
                {
                  "code": "ADMIN",
                  "system": "http://terminology.hl7.org/CodeSystem/contactentity-type",
                  "display": "Administrative"
                }
              ]
            },
            "name": {
              "given": [
                "Sarah"
              ],
              "family": "Williams"
            },
            "telecom": [
              {
                "system": "email",
                "value": "sarah.williams@example.com"
              },
              {
                "system": "phone",
                "value": "608-555-9876",
                "use": "work"
              }
            ]
          }
        ]
      }
    },
    {
      "fullUrl": "urn:uuid:56b3c3b6-6b4b-58e8-8932-aed18477b18b",
      "resource": {
        "resourceType": "Location",
        "id": "56b3c3b6-6b4b-58e8-8932-aed18477b18b",
        "status": "active",
        "name": "Redox Example Clinic - Main",
        "telecom": [
          {
            "system": "phone",
            "value": "608-555-4321",
            "use": "work"
          }
        ],
        "address": {
          "use": "work",
          "line": [
            "1234 Healthcare Blvd",
            "Suite 200"
          ],
          "city": "Madison",
          "state": "WI",
          "postalCode": "53703"
        },
        "managingOrganization": {
          "reference": "urn:uuid:2756cd03-02d2-522a-89f9-54276691896f"
        }
      }
    },
    {
      "fullUrl": "urn:uuid:5d85a29b-ac59-5b84-9410-b3daccdc8af5",
      "resource": {
        "resourceType": "ServiceRequest",
        "id": "5d85a29b-ac59-5b84-9410-b3daccdc8af5",
        "status": "active",
        "intent": "order",
        "code": {
          "text": "Cloud fax service"
        },
        "orderDetail": [
          {
            "coding": [
              {
                "code": "efax",
                "system": "http://example.org/fhir/CodeSystem/service-feature",
                "display": "Cloud Fax"
              }
            ]
          },
          {
            "coding": [
              {
                "code": "fax-port",
                "system": "http://example.org/fhir/CodeSystem/service-feature",
                "display": "Port Existing Fax Number"
              }
            ]
          },
          {
            "coding": [
              {
                "code": "fax-local",
                "system": "http://example.org/fhir/CodeSystem/service-feature",
                "display": "Local Fax Number"
              }
            ]
          }
        ],
        "quantityQuantity": {
          "value": 8,
          "unit": "providers"
        },
        "subject": {
          "reference": "urn:uuid:56b3c3b6-6b4b-58e8-8932-aed18477b18b"
        }
      }
    }
  ],
  "timestamp": "2026-10-21T15:00:00.000Z",
  "Meta": {
    "Logs": [
      {
        "ID": "d9f5d293-7110-461e-a875-3beb089e79f3",
        "AttemptID": "925d1617-2fe0-468c-a14c-f8c04b572c54"
      }
    ],
    "Test": true,
    "EventDateTime": "2026-11-20T23:35:51.576Z",
    "Source": {
      "ID": "7ce6f387-c33c-417d-8682-81e83628cbd9",
      "Name": "Redox Dev Tools"
    },
    "Destinations": [
      {
        "ID": "af394f14-b34a-464f-8d24-895f370af4c9",
        "Name": "Redox EMR"
      }
    ],
    "DataModel": "FHIR.Organization",
    "EventType": "$organization-create"
  }
}'
```

## Responses

### 200

Operation Response

### 400

Request could not be processed or failed validation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: OperationOutcome |
| `issue` | Array of object | Yes | A structured respresentation of the error that occurred |
| `issue[].severity` | string | Yes | Generally `error` or `fatal` Possible values: fatal, error, warning, information |
| `issue[].code` | string | Yes | A FHIR category code that describes the general type of issue. See http://hl7.org/fhir/ValueSet/issue-type for details |
| `issue[].id` | string | No | If the error occurs in the RedoxEngine, this corresponds to an Error record in the organization. |
| `issue[].details` | object | No | Additional details about the error. This may be a text description of the error or a system code that identifies the error. |
| `issue[].details.coding` | Array of object | No | A more granular FHIR code for the specific error. Typically from http://hl7.org/fhir/ValueSet/operation-outcome |
| `issue[].details.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `issue[].details.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `issue[].details.text` | string | No | A human-readable interpretation of the issue code |
| `issue[].diagnostics` | string | No | Additional diagnostic information about the issue. |

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "invalid",
      "details": {
        "coding": [
          {
            "code": "MSG_BAD_SYNTAX",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid content found in request body."
      }
    }
  ]
}
```

### 401

Authorization is required

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "unknown",
      "details": {
        "coding": [
          {
            "code": "MSG_AUTH_REQUIRED",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid authorization token"
      }
    }
  ]
}
```

### 500

Internal server error

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "processing",
      "details": {
        "coding": [
          {
            "code": "MSG_RESOURCE_ID_FAIL",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Unable to allocate resource id."
      }
    }
  ]
}
```

### 503

Service unavailable

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "transient",
      "details": {
        "text": "System is unable to process this message at this time."
      }
    }
  ]
}
```
